## hera 0~git20200602%2Bdfsg

=== debian/control ===
Source: hera
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: math
Priority: optional
Standards-Version: 4.5.1
Build-Depends: catch2,
               cmake (>= 3.5.1),
               debhelper-compat (= 13),
               libboost-dev
Rules-Requires-Root: no
Homepage: https://github.com/grey-narn/hera/
Vcs-Browser: https://salsa.debian.org/gspr/hera
Vcs-Git: https://salsa.debian.org/gspr/hera.git -b debian/sid

Package: libhera-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: libboost-dev, ${misc:Depends}
Description: Library for efficient bottleneck and Wasserstein distances
 A header-only C++ library for efficient computation of bottleneck and
 Wasserstein distances between persistence diagrams. Implements algorithms from

Package: hera-utils
Section: math
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities built from the Hera library
 Some simple utilities for efficient bottleneck and Wasserstein
 distances between persistence diagrams built from the Hera library
 (see libhera-dev).
