## hera 0~git20200602+dfsg

=== debian/changelog ===
hera (0~git20200602+dfsg-3) unstable; urgency=medium

  * Add upstream metadata file with paper references.
  * Move git to Salsa.
  * Standards-version 4.5.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 22 Jan 2021 19:11:10 +0100

hera (0~git20200602+dfsg-2) unstable; urgency=medium

  * Add tests.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 06 Jun 2020 16:39:33 +0200

hera (0~git20200602+dfsg-1) unstable; urgency=medium

  * Initial commit, based on upstream commit
    b73ed1face2c609958556e6f2b7704bbd8aaa263. (Closes: #961784)

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 02 Jun 2020 20:40:30 +0200
