=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
# dh_clean nukes an upstream file.
	dh_clean -X.bak

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-bottleneck --sourcedirectory=bottleneck
	dh_auto_clean --builddirectory=build-wasserstein --sourcedirectory=wasserstein

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-bottleneck --sourcedirectory=bottleneck
	dh_auto_configure --builddirectory=build-wasserstein --sourcedirectory=wasserstein

override_dh_auto_build:
	dh_auto_build --builddirectory=build-bottleneck --sourcedirectory=bottleneck
	dh_auto_build --builddirectory=build-wasserstein --sourcedirectory=wasserstein

execute_before_dh_install:
	install -D build-bottleneck/bottleneck_dist debian/tmp/usr/bin/hera-bottleneck
	install -D build-wasserstein/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
	install -D build-wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha

override_dh_auto_test:
	build-wasserstein/wasserstein_test
