## hera 0~git20210508%2Bdfsg

=== debian/tests/control ===
Tests: upstream-bottleneck.sh
Depends: build-essential, catch2, libhera-dev
Restrictions: allow-stderr

Tests: upstream-wasserstein.sh
Depends: build-essential, catch2, libhera-dev
Restrictions: allow-stderr
