=== debian/changelog ===
hera (0~git20210508+dfsg-1) unstable; urgency=medium

  * New upstream, based on commit
    2ed9afc052bee7956f6abb195947de1f80cb9d91.
    - Refresh patch.
  * Correct upstream metadata.
  * Drop unneccessary version bounds.
  * Actually depend on PHAT.
    - Add patch to use the system PHAT version instead of DFSG-deleted
      bundled copy.
  * Run build-time tests from the correct directory.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 14 Aug 2021 18:42:03 +0200
