=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,4 @@
 	install -D build-wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
 
 override_dh_auto_test:
-	build-wasserstein/wasserstein_test
-
+	cd wasserstein/tests/data && ../../../build-wasserstein/wasserstein_test
