## hera 0.1.1

=== DESCRIPTION ===
Package: hera
Title: Companion to the 'xeus-r' 'jupyter' Kernel
Version: 0.1.1
Authors@R: c(
    person("Romain", "François", email = "romain@tada.science", role = c("aut", "cre")), 
    person("QuantStack", role = c("cph"))
  )
Description: Set of R functions to be coupled with the 'xeus-r' 'jupyter' kernel
    in order to drive execution of code in notebook input cells, how R objects
    are to be displayed in output cells, and handle two way communication
    with the front end through comms. 
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: cli, evaluate, glue, IRdisplay, jsonlite, R6, repr, rlang,
        tools, utils
URL: https://github.com/jupyter-xeus/xeus-r
BugReports: https://github.com/jupyter-xeus/xeus-r/issues
NeedsCompilation: no
Packaged: 2025-04-09 12:54:37 UTC; romainfrancois
Author: Romain François [aut, cre],
  QuantStack [cph]
Maintainer: Romain François <romain@tada.science>
Repository: CRAN
Date/Publication: 2025-04-10 09:10:05 UTC
