=== debian/changelog ===
hera (1.0.0+dfsg-2) unstable; urgency=medium

  * Temporarily disable tests. (Closes: #1054686)
  * Standards-version 4.6.2. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 17 Nov 2023 17:07:57 +0100

hera (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (first versioned release).
  * Refresh patch for using system catch2.
  * Update upstream homepage.
  * Add watch file.
  * Standards-version 4.6.0.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 29 Apr 2022 14:09:22 +0200
