=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: math
 Priority: optional
-Standards-Version: 4.5.1
-Build-Depends: catch2,
-               cmake,
+Standards-Version: 4.6.2
+Build-Depends: cmake,
                debhelper-compat (= 13),
                libboost-dev,
                libphat-dev
 Rules-Requires-Root: no
-Homepage: https://github.com/grey-narn/hera/
+Homepage: https://github.com/anigmetov/hera/
 Vcs-Browser: https://salsa.debian.org/gspr/hera
 Vcs-Git: https://salsa.debian.org/gspr/hera.git -b debian/sid
 
@@ -23,7 +22,6 @@
  Wasserstein distances between persistence diagrams.
 
 Package: hera-utils
-Section: math
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Utilities built from the Hera library
