=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 
 execute_before_dh_install:
 	install -D build-bottleneck/bottleneck_dist debian/tmp/usr/bin/hera-bottleneck
-	install -D build-wasserstein/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
-	install -D build-wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
+	install -D build-wasserstein/example/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
+	install -D build-wasserstein/example/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
 
 override_dh_auto_test:
-	cd wasserstein/tests/data && ../../../build-wasserstein/wasserstein_test
+
