=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, repacksuffix=+dfsg, dversionmangle=auto" \
    https://github.com/anigmetov/hera/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
