## hera 2.0+git20221115.8bfdd4b+dfsg

=== debian/changelog ===
hera (2.0+git20221115.8bfdd4b+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #1039001)
  * The new version is a few commits beyond upstream's tagged 2.0 release,
    as these commits fixed some serious bugs in the file layout of the
    project.
  * Drop patches.
  * Introduce new patches.
  * This version is quite heavily modified compared to upstream, with a
    significant (new) DFSG-removed chunk. The rationale is explained in
    this version's NEWS entry.
  * Revamp d/rules to reflect new upstream structure.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 27 Dec 2023 13:04:53 +0100
