=== bindings/python/pybind11/docs/requirements.txt ===
breathe==4.32.0
sphinx==4.4.0
sphinx_rtd_theme==1.0.0
sphinxcontrib-moderncmakedomain==3.21.4
sphinxcontrib-svg2pdfconverter==1.2.0
