=== debian/changelog ===
hera (2.0.0+git20221115.8bfdd4b+dfsg-1) unstable; urgency=medium

  * No-change re-upload with correct version number (2.0.0 instead of
    2.0).

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 28 Dec 2023 09:46:28 +0100
