=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Standards-Version: 4.6.2
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libboost-dev,
-               libphat-dev
+               libboost-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/anigmetov/hera/
 Vcs-Browser: https://salsa.debian.org/gspr/hera
@@ -16,7 +15,7 @@
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: libboost-dev, libphat-dev, ${misc:Depends}
+Depends: libboost-dev, ${misc:Depends}
 Description: Library for efficient bottleneck and Wasserstein distances
  A header-only C++ library for efficient computation of bottleneck and
  Wasserstein distances between persistence diagrams.
