=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

override_dh_clean:
# dh_clean nukes an upstream file.
	dh_clean -X.bak

override_dh_auto_configure:
	dh_auto_configure -- -DHERA_BUILD_TESTS=OFF -DHERA_BUILD_PYTHON_BINDINGS=OFF -DHERA_BUILD_EXAMPLES=ON

override_dh_auto_install:
	install -D build/bottleneck/bottleneck_dist debian/tmp/usr/bin/hera-bottleneck
	install -D build/wasserstein/wasserstein_dist debian/tmp/usr/bin/hera-wasserstein
	install -D build/wasserstein/wasserstein_dist_dipha debian/tmp/usr/bin/hera-wasserstein-dipha
	install -D build/wasserstein/wasserstein_dist_point_cloud debian/tmp/usr/bin/hera-wasserstein-point-cloud
	cp -r include debian/tmp/usr/include
	rm -rf debian/tmp/usr/include/hera/matching*
	rm -rf debian/tmp/usr/include/hera/wasserstein/catch

override_dh_auto_test:
